#!/bin/bash
a2ensite ipxe
ovs-vsctl del-port int-tftp
ovs-vsctl add-port br-ex int-tftp tag=40 -- set interface int-tftp type=internal
mkdir -p /tftpbootmkdir 
chown -R ironic /tftpboot
chmod o+x /var/lib/ironic
cp /usr/lib/PXELINUX/pxelinux.0 /tftpboot/
cp /usr/lib/syslinux/modules/bios/chain.c32 /tftpboot
cp /usr/lib/syslinux/modules/*/ldlinux.* /tftpboot
cp /usr/lib/shim/shimx64.efi.signed /tftpboot/bootx64.efi
cp /usr/lib/grub/x86_64-efi-signed/grubnetx64.efi.signed /tftpboot/grubx64.efi
cp /usr/lib/ipxe/{undionly.kpxe,ipxe.efi} /tftpboot

#create ubuntu image
pip install diskimage-builder
disk-image-create ubuntu vm block-device-efi dhcp-all-interfaces -o ubuntu.img
DIB_DEV_USER_USERNAME=devuser DIB_DEV_USER_PASSWORD=passw0rd DIB_DEV_USER_PWDLESS_SUDO=1 DIB_DEBUG_TRACE=1 disk-image-create -o ubuntu-dev.img vm ubuntu devuser openssh-server block-device-efi dhcp-all-interfaces --logfile ubuntu-dev.img.log
openstack image create ubuntu-dev --public --file ubuntu-dev.img.qcow2
openstack image create cirros_aarch64 --property architecture=aarch64 --file cirros-0.5.2-aarch64-disk.img

