#!/bin/bash

if (($# == 2))
then

 GPIO_PW_PIN=$2 # Power on/off PIN, normally on

#Control GPIO PIN
 if [ ! -e /sys/class/gpio/gpio$GPIO_PW_PIN ]; then
    sudo echo "$GPIO_PW_PIN" > /sys/class/gpio/export
 fi

 if ((`cat /sys/class/gpio/gpio$GPIO_PW_PIN/direction` != "out"))
 then 
   sudo echo "out" >/sys/class/gpio/gpio$GPIO_PW_PIN/direction
 fi
#Cycle the relay controlling power to the device. Normally Closed (NC) connector is used
 if (($1 == "on")) 
 then
	echo 0 > /sys/class/gpio/gpio$GPIO_PW_PIN/value
 else
	echo 1 > /sys/class/gpio/gpio$GPIO_PW_PIN/value
 fi
else
 echo "usage: $0 on|off pin"
fi
